#ifndef FLY_STRING_UTILS_H
#define FLY_STRING_UTILS_H

//recoding (don't forget to cast 'in' and 'out' to (unsigned char *) in these function calls)
bool isValidUtf8(const unsigned char *);
bool isEscapedUtf8(const unsigned char *buffer, unsigned char *utf8buf_out=NULL);
int koi2utf(const unsigned char *in,unsigned char *out,int len=-1);
int utf2koi(const unsigned char *in,unsigned char *out);
int utf8ToEscapedUtf8(const unsigned char *inbuf, unsigned char *outbuf); //untested
//encode/decode trashed file paths (rfc1738)
void stringToEscaped(const char *str_in, char *str_out);//str_out is caller allocated with length = 4 x length of str_in
void escapedToString(const char *str_in, char *str_out);//str_out is caller allocated with length = length of str_in
//check if need, add/remove doublequotes in str, bu sure str has 2 spare bytes for 2 x doublequotes
bool needDoublequotes(const char *str);
void addDoublequotes(char *str);
void removeDoublequotes(char *str);

#endif
