#ifndef FLY_ZAMOK
#define FLY_ZAMOK

#ifdef __cplusplus
extern "C"
{
#endif

//zamok user name has CP866 encoding (ask maksim why)
//just assume it is in ascii for a while

// get current zamok user, key itself is not required to be in the lock!
// buf_out must be preallocated and not less than 32 bytes
// return: 0 - OK
int zamokUserName(char *buf_out, short * autologon_out);

//the same, but returns static area pointer where zamok user string,  
// "" empty string if either no user or no zamok or failed
const char * zamokUser(int * result, short * autologon_out);

//check if zamok is here and user can login in OS without password input
short zamokIsSuitable();

//to check zamok device and driver installed
short zamokIsInstalled();

//to check zamok device plugged (vendor-device is  by default "1c03:")
short zamokIsPlugged(const char *vendor_device=0);

#ifdef __cplusplus
}
#endif

#endif
