/* deprecated compatibility header - use xdgmime API instead of this*/
#ifndef _SHARED_MIME_H_
#define _SHARED_MIME_H_

typedef enum
{
	MIMETYPES_CHECK_PATH		= 1,
	MIMETYPES_CHECK_CONTENTS	= 2,
	MIMETYPES_CHECK_ALL			= 3
}
mimetypes_flags;

#ifdef __cplusplus
extern "C"
{
#endif

void mimetypes_init(void);  //alex: stub now

const char * mimetypes_set_default_type(const char *default_type); //alex: stub now

bool mimetypes_get_file_type(const char *pathname, char *MimeType_in_out, mimetypes_flags flags); //alex: wrapper for real xdgmime func

/*alex: return semicolon separated list of all mime types from /usr/share/mime/globs*/
char * mimetypes_get_all_types(); //free it by "delete [] ptr"*/
/*alex: return mime type xml-file full path*/
char * mimetypes_get_type_desc(const char *mimetype); //free it by "delete [] ptr"

#ifdef __cplusplus
}
#endif

#endif
